Page MenuHomePhabricator

Upgrade Ghostscript at Commons to 8.71
Closed, ResolvedPublic

Description

Author: giro720

Description:
Please, upgrade Ghostscript at Commons from version 8.61 to a newer one, if possible. It probably will fix some bugs in jpg conversion like http://upload.wikimedia.org/wikipedia/commons/thumb/8/86/Quincas_Borba.pdf/page15-741px-Quincas_Borba.pdf.jpg (and at others pdfs with similar problem) aparently solved in [http://pages.cs.wisc.edu/~ghost/doc/cvs/Details8.htm 2007-12-11]); and others reported bugs, like
*https://bugzilla.wikimedia.org/show_bug.cgi?id=23652
*https://bugzilla.wikimedia.org/show_bug.cgi?id=23326


Version: unspecified
Severity: enhancement

Details

Reference
bz26388

Event Timeline

bzimport raised the priority of this task from to High.Nov 21 2014, 11:12 PM
bzimport set Reference to bz26388.
bzimport added a subscriber: Unknown Object (MLST).

See if someone can handle this.

Reedy added a comment.Jan 29 2011, 4:44 AM

Depending on where this an issue, its going to need an upgrade on the image scales, and/or the Apache. Or the pdf servers which may be an issue...

As such, your going to have to need ops involvement, as due to the dependency tree, it might require a major OS update to achieve this

Version numbers on ubuntu package releases need checking

Also this smells like a dupe

Reedy added a comment.Jul 6 2011, 8:10 PM

Removing "shell" keyword for things that aren't directly doable by shell users etc

Reedy added a comment.Jul 6 2011, 8:31 PM

Adding ops keyword

Reedy added a comment.Jul 6 2011, 8:31 PM

Removing shell keyword if exists

Upgrading to gs 9.x would help with support color profiles. From #ghostscript:

<Robin_Watts> Versions of gs prior to 9.00 will not have handled color

profiles correctly, which means you may see slight colour
shifts.

(The RT ticket has been closed, but I reopened it to request gs 9.0)

Let's not reopen this bug every time we want to upgrade Ghostscript. Renaming this to reflect the upgrade from 8.61->8.71, since as near as I can tell, the problem cited in comment #0 was fixed. Let's use bug 36580 to track the upgrade to 9.05+.